using e_suite.API.Common;
using e_suite.UnitTestCore;

namespace e_suite.Modules.RoleManager.UnitTests.Helpers;

public class RoleManagerTestBase : TestBase
{
    protected FakeRoleManagerRepository RoleManagerRepository { get; set; } = null!;
    protected FakeDomainRepository DomainRepository { get; set; } = null!;
    protected FakeUserManagerRepository UserManagerRepository { get; set; } = null!;
    protected IRoleManager RoleManager { get; set; } = null!;

    public override async Task Setup()
    {
        await base.Setup();
        RoleManagerRepository = new FakeRoleManagerRepository();
        DomainRepository = new FakeDomainRepository();
        UserManagerRepository = new FakeUserManagerRepository();

        RoleManager = new RoleManager(RoleManagerRepository, DomainRepository, UserManagerRepository);
    }
}